Subject: Re: bug#52508: [PATCH] Option for vc-delete-file to keep file on disk

From: Ashwin Kafle <[email-masked]>
Date: Sat, 18 Dec 2021 07:36:21 +0000

Richard Stallman <[email-masked]> writes:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
>   > I've created the attached patch to have vc-delete file to keep files on
>   > disk using a prefix argument. I've only tested it for vc-git.
>
> This may seem shocking, but what about changing vc-delete-file
> to ALWAYS preserve the local file?  In other words, to change ONLY the repo?
>
> That's the operation that vc-delete-file is necessary for.
> If you do in fact want to delete the local file as well, that's easy to do.
>
> This would have the advantage of one less switch to remember.

I had the same initial thought ;)

But, vc-delete-file is used by a lot of people and it's probably muscle
memory for them.  I didn't want people to be affected much by this patch.

Also, there's a new revision of this patch under bug#52507 that will
make sure that the local file is always preserved even if the VCS itself
deletes it.

After i understand what Juri is saying, i'll likely make a
new patch removing the change from vc-git.el

Thank you, Stallman, for all the hard work you've done and continue to do.